<?php
/*
 * The template for displaying "Page 404"
*/

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }


/* Theme setup section
-------------------------------------------------------------------- */

if ( !function_exists( 'themerex_template_404_theme_setup' ) ) {
	add_action( 'themerex_action_before_init_theme', 'themerex_template_404_theme_setup', 1 );
	function themerex_template_404_theme_setup() {
		themerex_add_template(array(
			'layout' => '404',
			'mode'   => 'internal',
			'title'  => 'Page 404',
			'theme_options' => array(
				'article_style' => 'stretch'
			),
			'w'		 => null,
			'h'		 => null
			));
	}
}

// Template output
if ( !function_exists( 'themerex_template_404_output' ) ) {
	function themerex_template_404_output() {
		?>
		<article class="post_item post_item_404">
			<div class="post_content">
				<div class="image_404">
					<img src="<?php echo  themerex_get_file_url('images/404.png') ?>" alt="img">
				</div>
				<h2 class="page_subtitle"><?php esc_html_e('The requested page cannot be found', 'alliance'); ?></h2>
				<p class="page_description"><?php echo wp_kses_data(sprintf( __('Can\'t find what you need?<br> Take a moment and do a search below or start from <a href="%s">our homepage</a>.', 'alliance'), esc_url(home_url('/')) )); ?></p>
				<div class="page_search"><?php echo do_shortcode('[trx_search open="fixed"]'); ?></div>
			</div>
		</article>
		<?php
	}
}
?>