// Document ready actions for shortcodes
jQuery(document).ready(function(){
	"use strict";
	setTimeout(themerex_animation_shortcodes, 600);
});


// Animation
function themerex_animation_shortcodes() {
	jQuery('[data-animation^="animated"]:not(.animated)').each(function() {
		"use strict";
		if (jQuery(this).offset().top < jQuery(window).scrollTop() + jQuery(window).height())
			jQuery(this).addClass(jQuery(this).data('animation'));
	});
}


// Shortcodes init
function themerex_init_shortcodes(container) {

	// Accordion
	if (container.find('.sc_accordion:not(.inited)').length > 0) {
		container.find(".sc_accordion:not(.inited)").each(function () {
			"use strict";
			var init = jQuery(this).data('active');
			if (isNaN(init)) init = 0;
			else init = Math.max(0, init);
			jQuery(this)
				.addClass('inited')
				.accordion({
					active: init,
					heightStyle: "content",
					header: "> .sc_accordion_item > .sc_accordion_title",
					create: function (event, ui) {
						themerex_init_shortcodes(ui.panel);
						if (window.themerex_init_hidden_elements) themerex_init_hidden_elements(ui.panel);
						ui.header.each(function () {
							jQuery(this).parent().addClass('sc_active');
						});
					},
					activate: function (event, ui) {
						themerex_init_shortcodes(ui.newPanel);
						if (window.themerex_init_hidden_elements) themerex_init_hidden_elements(ui.newPanel);
						ui.newHeader.each(function () {
							jQuery(this).parent().addClass('sc_active');
						});
						ui.oldHeader.each(function () {
							jQuery(this).parent().removeClass('sc_active');
						});
					}
				});
		});
	}

	// Contact form
	if (container.find('.sc_contact_form:not(.inited) form').length > 0) {
		container.find(".sc_contact_form:not(.inited) form")
			.addClass('inited')
			.submit(function(e) {
				"use strict";
				themerex_contact_form_validate(jQuery(this));
				e.preventDefault();
				return false;
			});
	}

	//Countdown
	if (container.find('.sc_countdown:not(.inited)').length > 0) {
		container.find('.sc_countdown:not(.inited)')
			.each(function () {
				"use strict";
				jQuery(this).addClass('inited');
				var id = jQuery(this).attr('id');
				var style = jQuery(this).data('style');
				var curDate = new Date(); 
				var curDateTimeStr = curDate.getFullYear()+'-'+(curDate.getMonth()<9 ? '0' : '')+(curDate.getMonth()+1)+'-'+(curDate.getDate()<10 ? '0' : '')+curDate.getDate()
					+' '+(curDate.getHours()<10 ? '0' : '')+curDate.getHours()+':'+(curDate.getMinutes()<10 ? '0' : '')+curDate.getMinutes()+':'+(curDate.getSeconds() ? '0' : '')+curDate.getSeconds(); 
				var interval = 1;	//jQuery(this).data('interval');
				var endDateStr = jQuery(this).data('date');
				var endDateParts = endDateStr.split('-');
				var endTimeStr = jQuery(this).data('time');
				var endTimeParts = endTimeStr.split(':');
				var endDateTimeStr = endDateStr+' '+endTimeStr;
				if( style == 3){
					var destDate = new Date(endDateParts[0], endDateParts[1]-1, endDateParts[2], endTimeParts[0], endTimeParts[1], endTimeParts[2]);
					var diff = Math.round(destDate.getTime() / 1000 - curDate.getTime() / 1000);
			
					jQuery(this).FlipClock(destDate, {
						countdown: true,
						clockFace: 'DailyCounter'
					});
				} else {
					if (curDateTimeStr < endDateTimeStr) {
						jQuery(this).find('.sc_countdown_placeholder').countdown({
							until: new Date(endDateParts[0], endDateParts[1]-1, endDateParts[2], endTimeParts[0], endTimeParts[1], endTimeParts[2]), 
							tickInterval: interval,
							onTick: themerex_countdown
						}); 
					} else {
						jQuery(this).find('.sc_countdown_placeholder').countdown({
							since: new Date(endDateParts[0], endDateParts[1]-1, endDateParts[2], endTimeParts[0], endTimeParts[1], endTimeParts[2]), 
							tickInterval: interval,
							onTick: themerex_countdown
						}); 
					}
				}
			});
	}

	// Emailer form
	if (container.find('.sc_emailer:not(.inited)').length > 0) {
		container.find(".sc_emailer:not(.inited)")
			.addClass('inited')
			.find('.sc_emailer_button')
			.click(function(e) {
				"use strict";
				var form = jQuery(this).parents('form');
				var parent = jQuery(this).parents('.sc_emailer');
				if (parent.hasClass('sc_emailer_opened')) {
					if (form.length>0 && form.find('input').val()!='') {
						var group = jQuery(this).data('group');
						var email = form.find('input').val();
						var regexp = new RegExp(THEMEREX_GLOBALS['email_mask']);
						if (!regexp.test(email)) {
							form.find('input').get(0).focus();
							themerex_message_warning(THEMEREX_GLOBALS['strings']['email_not_valid']);
						} else {
							jQuery.post(THEMEREX_GLOBALS['ajax_url'], {
								action: 'emailer_submit',
								nonce: THEMEREX_GLOBALS['ajax_nonce'],
								group: group,
								email: email
							}).done(function(response) {
								var rez = JSON.parse(response);
								if (rez.error === '') {
									themerex_message_info(THEMEREX_GLOBALS['strings']['email_confirm'].replace('%s', email));
									form.find('input').val('');
								} else {
									themerex_message_warning(rez.error);
								}
							});
						}
					} else
						form.get(0).submit();
				} else {
					parent.addClass('sc_emailer_opened');
				}
				e.preventDefault();
				return false;
			});
	}
	
	// Googlemap init
	if (container.find('.sc_googlemap:not(.inited)').length > 0 && window.themerex_googlemap_init) {
		container.find('.sc_googlemap:not(.inited)')
			.each(function () {
				"use strict";
				if (jQuery(this).parents('div:hidden,article:hidden').length > 0) return;
				var map = jQuery(this).addClass('inited');
				var map_address	= map.data('address');
				var map_latlng	= map.data('latlng');
				var map_id		= map.attr('id');
				var map_zoom	= map.data('zoom');
				var map_style	= map.data('style');
				var map_descr	= map.data('description');
				var map_title	= map.data('title');
				var map_point	= map.data('point');
				themerex_googlemap_init( jQuery('#'+map_id).get(0), {address: map_address , latlng: map_latlng, style: map_style, zoom: map_zoom, description: map_descr, title: map_title, point: map_point});
			});
	}

	// Infoboxes
	if (container.find('.sc_infobox.sc_infobox_closeable:not(.inited)').length > 0) {
		container.find('.sc_infobox.sc_infobox_closeable:not(.inited)')
			.addClass('inited')
			.click(function () {
				jQuery(this).slideUp();
			});
	}

	// Popup links
	if (container.find('.popup_link:not(.inited)').length > 0) {
		container.find('.popup_link:not(.inited)')
			.addClass('inited')
			.magnificPopup({
				type: 'inline',
				removalDelay: 500,
				midClick: true,
				callbacks: {
					beforeOpen: function () {
						this.st.mainClass = 'mfp-zoom-in';
					},
					open: function() {},
					close: function() {}
				}
			});
	}

	// Search form
	if (container.find('.search_wrap:not(.inited)').length > 0) {
		container.find('.search_wrap:not(.inited)').each(function() {
			jQuery(this).addClass('inited');
			jQuery(this).find('.search_icon').click(function(e) {
				"use strict";
				var search_wrap = jQuery(this).parent();
				if (!search_wrap.hasClass('search_fixed')) {
					if (search_wrap.hasClass('search_opened')) {
						search_wrap.find('.search_form_wrap').animate({'width': 'hide'}, 200, function() {
							if (search_wrap.parents('.menu_main_wrap').length > 0)
								search_wrap.parents('.menu_main_wrap').removeClass('search_opened');
						});
						search_wrap.find('.search_results').fadeOut();
						search_wrap.removeClass('search_opened');
					} else {
						search_wrap.find('.search_form_wrap').animate({'width': 'show'}, 200, function() {
							jQuery(this).parents('.search_wrap').addClass('search_opened');
							jQuery(this).find('input').get(0).focus();
						});
						if (search_wrap.parents('.menu_main_wrap').length > 0)
							search_wrap.parents('.menu_main_wrap').addClass('search_opened');
					}
				} else {
					search_wrap.find('.search_field').val('');
					search_wrap.find('.search_results').fadeOut();
				}
				e.preventDefault();
				return false;
			});
			jQuery(this).find('.search_results_close').click(function(e) {
				"use strict";
				jQuery(this).parent().fadeOut();
				e.preventDefault();
				return false;
			});
			jQuery(this).on('click', '.search_submit,.search_more', function(e) {
				"use strict";
				if (jQuery(this).parents('.search_wrap').find('.search_field').val() != '')
					jQuery(this).parents('.search_wrap').find('.search_form_wrap form').get(0).submit();
				e.preventDefault();
				return false;
			});
			if (jQuery(this).hasClass('search_ajax')) {
				var ajax_timer = null;
				jQuery(this).find('.search_field').keyup(function(e) {
					"use strict";
					var search_field = jQuery(this);
					var s = search_field.val();
					if (ajax_timer) {
						clearTimeout(ajax_timer);
						ajax_timer = null;
					}
					if (s.length >= THEMEREX_GLOBALS['ajax_search_min_length']) {
						ajax_timer = setTimeout(function() {
							jQuery.post(THEMEREX_GLOBALS['ajax_url'], {
								action: 'ajax_search',
								nonce: THEMEREX_GLOBALS['ajax_nonce'],
								text: s
							}).done(function(response) {
								clearTimeout(ajax_timer);
								ajax_timer = null;
								var rez = JSON.parse(response);
								if (rez.error === '') {
									search_field.parents('.search_ajax').find('.search_results_content').empty().append(rez.data);
									search_field.parents('.search_ajax').find('.search_results').fadeIn();
								} else {
									themerex_message_warning(THEMEREX_GLOBALS['strings']['search_error']);
								}
							});
						}, THEMEREX_GLOBALS['ajax_search_delay']);
					}
				});
			}
		});
	}

	// Review form
	if (container.find('.reviews_block').length > 0) {
		jQuery('.reviews_block .reviews_stars.reviews_style_heart:not(.reviews_editable)').each(function(){
			var data = jQuery(this).data('mark') + '%';
			jQuery(this).css('width', data);
		});
	}
	
	// Section Pan init
	if (container.find('.sc_pan:not(.inited_pan)').length > 0) {
		container.find('.sc_pan:not(.inited_pan)')
			.each(function () {
				"use strict";
				if (jQuery(this).parents('div:hidden,article:hidden').length > 0) return;
				var pan = jQuery(this).addClass('inited_pan');
				var cont = pan.parent();
				cont.mousemove(function(e) {
					"use strict";
					var anim = {};
					var tm = 0;
					var pw = pan.width(), ph = pan.height();
					var cw = cont.width(), ch = cont.height();
					var coff = cont.offset();
					if (pan.hasClass('sc_pan_vertical'))
						pan.css('top', -Math.floor((e.pageY - coff.top) / ch * (ph-ch)));
					if (pan.hasClass('sc_pan_horizontal'))
						pan.css('left', -Math.floor((e.pageX - coff.left) / cw * (pw-cw)));
				});
				cont.mouseout(function(e) {
					pan.css({'left': 0, 'top': 0});
				});
			});
	}

	//Scroll
	if (container.find('.sc_scroll:not(.inited)').length > 0) {
		container.find('.sc_scroll:not(.inited)')
			.each(function () {
				"use strict";
				if (jQuery(this).parents('div:hidden,article:hidden').length > 0) return;
				THEMEREX_GLOBALS['scroll_init_counter'] = 0;
				themerex_init_scroll_area(jQuery(this));
			});
	}


	// Swiper Slider
	if (container.find('.sc_slider_swiper:not(.inited)').length > 0) {
		container.find('.sc_slider_swiper:not(.inited)')
			.each(function () {
				"use strict";
				if (jQuery(this).parents('div:hidden,article:hidden').length > 0) return;
				//if (jQuery(this).parents('.isotope_wrap:not(.inited)').length > 0) return;
				jQuery(this).addClass('inited');
				themerex_slider_autoheight(jQuery(this));
				if (jQuery(this).parents('.sc_slider_pagination_area').length > 0) {
					jQuery(this).parents('.sc_slider_pagination_area').find('.sc_slider_pagination .post_item').eq(0).addClass('active');
				}
				var id = jQuery(this).attr('id');
				if (id == undefined) {
					id = 'swiper_'+Math.random();
					id = id.replace('.', '');
					jQuery(this).attr('id', id);
				}
				jQuery(this).addClass(id);
				jQuery(this).find('.slides .swiper-slide').css('position', 'relative');
				if (THEMEREX_GLOBALS['swipers'] === undefined) THEMEREX_GLOBALS['swipers'] = {};
				THEMEREX_GLOBALS['swipers'][id] = new Swiper('.'+id, {
					calculateHeight: !jQuery(this).hasClass('sc_slider_height_fixed'),
					resizeReInit: true,
					autoResize: true,
					loop: true,
					grabCursor: true,
					pagination: jQuery(this).hasClass('sc_slider_pagination') ? '#'+id+' .sc_slider_pagination_wrap' : false,
				    paginationClickable: true,
					autoplay: jQuery(this).hasClass('sc_slider_noautoplay') ? false : (isNaN(jQuery(this).data('interval')) ? 7000 : jQuery(this).data('interval')),
					autoplayDisableOnInteraction: false,
					initialSlide: 0,
					speed: 600,
					// Autoheight on start
					onFirstInit: function (slider){
						var cont = jQuery(slider.container);
						if (!cont.hasClass('sc_slider_height_auto')) return;
						var li = cont.find('.swiper-slide').eq(1);
						var h = li.data('height_auto');
						if (h > 0) {
							var pt = parseInt(li.css('paddingTop')), pb = parseInt(li.css('paddingBottom'));
							li.height(h);
							cont.height(h + (isNaN(pt) ? 0 : pt) + (isNaN(pb) ? 0 : pb));
							cont.find('.swiper-wrapper').height(h + (isNaN(pt) ? 0 : pt) + (isNaN(pb) ? 0 : pb));
						}
					},
					// Autoheight on slide change
					onSlideChangeStart: function (slider){
						var cont = jQuery(slider.container);
						if (!cont.hasClass('sc_slider_height_auto')) return;
						var idx = slider.activeIndex;
						var li = cont.find('.swiper-slide').eq(idx);
						var h = li.data('height_auto');
						if (h > 0) {
							var pt = parseInt(li.css('paddingTop')), pb = parseInt(li.css('paddingBottom'));
							li.height(h);
							cont.height(h + (isNaN(pt) ? 0 : pt) + (isNaN(pb) ? 0 : pb));
							cont.find('.swiper-wrapper').height(h + (isNaN(pt) ? 0 : pt) + (isNaN(pb) ? 0 : pb));
						}
					},
					// Change current item in 'full' or 'over' pagination wrap
					onSlideChangeEnd: function (slider, dir) {
						var cont = jQuery(slider.container);
						if (cont.parents('.sc_slider_pagination_area').length > 0) {
							var li = cont.parents('.sc_slider_pagination_area').find('.sc_slider_pagination .post_item');
							var idx = slider.activeIndex > li.length ? 0 : slider.activeIndex-1;
							themerex_change_active_pagination_in_slider(cont, idx);
						}
					}
				});
				
				jQuery(this).data('settings', {mode: 'horizontal'});		// VC hook
				
				var curSlide = jQuery(this).find('.slides').data('current-slide');
				if (curSlide > 0)
					THEMEREX_GLOBALS['swipers'][id].swipeTo(curSlide-1);
				themerex_prepare_slider_navi(jQuery(this));
			});
	}

	//Islands init
	if (container.find('.sc_islands_item:not(.inited)').length > 0) {
		themerex_init_islands(container);
		jQuery(window).scroll(function () { themerex_init_islands(container); });
	}
	
	//Skills init
	if (container.find('.sc_skills_item:not(.inited)').length > 0) {
		themerex_init_skills(container);
		jQuery(window).scroll(function () { themerex_init_skills(container); });
	}
	//Skills type='arc' init
	if (container.find('.sc_skills_arc:not(.inited)').length > 0) {
		themerex_init_skills_arc(container);
		jQuery(window).scroll(function () { themerex_init_skills_arc(container); });
	}

	// Tabs
	if (container.find('.sc_tabs:not(.inited),.tabs_area:not(.inited)').length > 0) {
		container.find('.sc_tabs:not(.inited),.tabs_area:not(.inited)').each(function () {
			var init = jQuery(this).data('active');
			if (isNaN(init)) init = 0;
			else init = Math.max(0, init);
			jQuery(this)
				.addClass('inited')
				.tabs({
					active: init,
					show: {
						effect: 'fadeIn',
						duration: 300
					},
					hide: {
						effect: 'fadeOut',
						duration: 300
					},
					create: function (event, ui) {
						themerex_init_shortcodes(ui.panel);
						if (window.themerex_init_hidden_elements) themerex_init_hidden_elements(ui.panel);
					},
					activate: function (event, ui) {
						themerex_init_shortcodes(ui.newPanel);
						if (window.themerex_init_hidden_elements) themerex_init_hidden_elements(ui.newPanel);
					}
				});
		});
	}

	// Toggles
	if (container.find('.sc_toggles .sc_toggles_title:not(.inited)').length > 0) {
		container.find('.sc_toggles .sc_toggles_title:not(.inited)')
			.addClass('inited')
			.click(function () {
				jQuery(this).toggleClass('ui-state-active').parent().toggleClass('sc_active');
				jQuery(this).parent().find('.sc_toggles_content').slideToggle(300, function () { 
					themerex_init_shortcodes(jQuery(this).parent().find('.sc_toggles_content')); 
					if (window.themerex_init_hidden_elements) themerex_init_hidden_elements(jQuery(this).parent().find('.sc_toggles_content'));
				});
			});
	}

	//Zoom
	if (container.find('.sc_zoom:not(.inited)').length > 0) {
		container.find('.sc_zoom:not(.inited)')
			.each(function () {
				"use strict";
				if (jQuery(this).parents('div:hidden,article:hidden').length > 0) return;
				jQuery(this).addClass('inited');
				jQuery(this).find('img').elevateZoom({
					zoomType: "lens",
					lensShape: "round",
					lensSize: 200,
					lensBorderSize: 4,
					lensBorderColour: '#ccc'
				});
			});
	}
	
	//icons skills
	if (jQuery('.sc_icons_skills:not(.inited)').length > 0) {
		iconsSkillsInit(container);
		jQuery(window).scroll(function () { iconsSkillsInit(container); });
	}
	
	//chart type='arc' init
	if (jQuery('.sc_chart_diagram:not(.inited)').length > 0) {
		chart_diagram_init(container);
		jQuery(window).scroll(function () { chart_diagram_init(container); });
	}

	//rocks skills init
	if (jQuery('.sc_rocks_skills:not(.inited)').length > 0) {
		rocks_skills_init(container);
		jQuery(window).scroll(function () { rocks_skills_init(container); });
	}
}



// Scrolled areas
function themerex_init_scroll_area(obj) {

	// Wait for images loading
	if (!themerex_check_images_complete(obj) && THEMEREX_GLOBALS['scroll_init_counter']++ < 30) {
		setTimeout(function() { themerex_init_scroll_area(obj); }, 200);
		return;
	}

	// Start init scroll area
	obj.addClass('inited');
	var id = obj.attr('id');
	if (id == undefined) {
		id = 'scroll_'+Math.random();
		id = id.replace('.', '');
		obj.attr('id', id);
	}
	obj.addClass(id);
	var bar = obj.find('#'+id+'_bar');
	if (bar.length > 0 && !bar.hasClass(id+'_bar')) {
		bar.addClass(id+'_bar');
	}

	// Init Swiper with scroll plugin
	if (THEMEREX_GLOBALS['swipers'] === undefined) THEMEREX_GLOBALS['swipers'] = {};
	THEMEREX_GLOBALS['swipers'][id] = new Swiper('.'+id, {
		calculateHeight: false,
		resizeReInit: true,
		autoResize: true,
		
		freeMode: true,
		freeModeFluid: true,
		grabCursor: true,
		noSwiping: obj.hasClass('scroll-no-swiping'),
		mode: obj.hasClass('sc_scroll_vertical') ? 'vertical' : 'horizontal',
		slidesPerView: obj.hasClass('sc_scroll') ? 'auto' : 1,
		mousewheelControl: true,
		mousewheelAccelerator: 4,	// Accelerate mouse wheel in Firefox 4+
		scrollContainer: obj.hasClass('sc_scroll_vertical'),
		scrollbar: {
			container: '.'+id+'_bar',
			hide: true,
			draggable: true  
		}
	})
	
	obj.data('settings', {mode: 'horizontal'});		// VC hook
	
	themerex_prepare_slider_navi(obj);
}


// Slider navigation
function themerex_prepare_slider_navi(slider) {
	// Prev / Next
	var navi = slider.find('> .sc_slider_controls_wrap, > .sc_scroll_controls_wrap');
	if (navi.length == 0) navi = slider.siblings('.sc_slider_controls_wrap,.sc_scroll_controls_wrap');
	if (navi.length > 0) {
		navi.find('.sc_slider_prev,.sc_scroll_prev').click(function(e){
			var swiper = jQuery(this).parents('.swiper-slider-container');
			if (swiper.length == 0) swiper = jQuery(this).parents('.sc_slider_controls_wrap,.sc_scroll_controls_wrap').siblings('.swiper-slider-container');
			var id = swiper.attr('id');
			THEMEREX_GLOBALS['swipers'][id].swipePrev();
			e.preventDefault();
			return false;
		});
		navi.find('.sc_slider_next,.sc_scroll_next').click(function(e){
			var swiper = jQuery(this).parents('.swiper-slider-container');
			if (swiper.length == 0) swiper = jQuery(this).parents('.sc_slider_controls_wrap,.sc_scroll_controls_wrap').siblings('.swiper-slider-container');
			var id = swiper.attr('id');
			THEMEREX_GLOBALS['swipers'][id].swipeNext();
			e.preventDefault();
			return false;
		});
	}

	// Pagination
	navi = slider.siblings('.sc_slider_pagination');
	if (navi.length > 0) {
		navi.find('.post_item').click(function(e){
			var swiper = jQuery(this).parents('.sc_slider_pagination_area').find('.swiper-slider-container');
			var id = swiper.attr('id');
			THEMEREX_GLOBALS['swipers'][id].swipeTo(jQuery(this).index());
			e.preventDefault();
			return false;
		});
	}
}

function themerex_change_active_pagination_in_slider(slider, idx) {
	var pg = slider.parents('.sc_slider_pagination_area').find('.sc_slider_pagination');
	if (pg.length==0) return;
	pg.find('.post_item').removeClass('active').eq(idx).addClass('active');
	var h = pg.height();
	var off = pg.find('.active').offset().top - pg.offset().top;
	var off2 = pg.find('.sc_scroll_wrapper').offset().top - pg.offset().top;
	var h2  = pg.find('.active').height();
	if (off < 0) {
		pg.find('.sc_scroll_wrapper').css({'transform': 'translate3d(0px, 0px, 0px)', 'transition-duration': '0.3s'});
	} else if (h <= off+h2) {
		pg.find('.sc_scroll_wrapper').css({'transform': 'translate3d(0px, -'+(Math.abs(off2)+off-h/4)+'px, 0px)', 'transition-duration': '0.3s'});
	}
}

// Sliders: Autoheight
function themerex_slider_autoheight(slider) {
	if (slider.hasClass('.sc_slider_height_auto')) {
		slider.find('.swiper-slide').each(function() {
			if (jQuery(this).data('height_auto') == undefined) {
				jQuery(this).attr('data-height_auto', jQuery(this).height());
			}
		});
	}
}

// Islands init
function themerex_init_islands(container) {
	if (arguments.length==0) var container = jQuery('body');
	var scrollPosition = jQuery(window).scrollTop() + jQuery(window).height();

	container.find('.sc_islands_item:not(.inited)').each(function () {
		var skillsItem = jQuery(this);
		var scrollSkills = skillsItem.offset().top;
		if (scrollPosition > scrollSkills) {
			skillsItem.addClass('inited');
		}
	});
}

// Skills init
function themerex_init_skills(container) {
	if (arguments.length==0) var container = jQuery('body');
	var scrollPosition = jQuery(window).scrollTop() + jQuery(window).height();

	container.find('.sc_skills_item:not(.inited)').each(function () {
		var skillsItem = jQuery(this);
		var scrollSkills = skillsItem.offset().top;
		if (scrollPosition > scrollSkills) {
			skillsItem.addClass('inited');
			var skills = skillsItem.parents('.sc_skills').eq(0);
			var type = skills.data('type');
			var total = (type=='pie' && skills.hasClass('sc_skills_compact_on')) ? skillsItem.find('.sc_skills_data .pie') : skillsItem.find('.sc_skills_total').eq(0);
			var start = parseInt(total.data('start'));
			var stop = parseInt(total.data('stop'));
			var maximum = parseInt(total.data('max'));
			var startPercent = Math.round(start/maximum*100);
			var stopPercent = Math.round(stop/maximum*100);
			var ed = total.data('ed');
			var duration = parseInt(total.data('duration'));
			var speed = parseInt(total.data('speed'));
			var step = parseInt(total.data('step'));
			if (type == 'bar') {
				var dir = skills.data('dir');
				var count = skillsItem.find('.sc_skills_count').eq(0);
				if (dir=='horizontal')
					count.css('width', startPercent + '%').animate({ width: stopPercent + '%' }, duration);
				else if (dir=='vertical')
					count.css('height', startPercent + '%').animate({ height: stopPercent + '%' }, duration);
				themerex_animate_skills_counter(start, stop, speed-(dir!='unknown' ? 5 : 0), step, ed, total);
			} else if (type == 'counter') {
				themerex_animate_skills_counter(start, stop, speed - 5, step, ed, total);
			} else if (type == 'pie') {
				var steps = parseInt(total.data('steps'));
				var bg_color = total.data('bg_color');
				var border_color = total.data('border_color');
				var cutout = parseInt(total.data('cutout'));
				var easing = total.data('easing');
				var options = {
					segmentShowStroke: true,
					segmentStrokeColor: border_color,
					segmentStrokeWidth: 1,
					percentageInnerCutout : cutout,
					animationSteps: steps,
					animationEasing: easing,
					animateRotate: true,
					animateScale: false,
				};
				var pieData = [];
				total.each(function() {
					var color = jQuery(this).data('color');
					var stop = parseInt(jQuery(this).data('stop'));
					var stopPercent = Math.round(stop/maximum*100);
					pieData.push({
						value: stopPercent,
						color: color
					});
				});
				if (total.length == 1) {
					themerex_animate_skills_counter(start, stop, Math.round(1500/steps), step, ed, total);
					pieData.push({
						value: 100-stopPercent,
						color: bg_color
					});
				}
				var canvas = skillsItem.find('canvas');
				canvas.attr({width: skillsItem.width(), height: skillsItem.width()}).css({width: skillsItem.width(), height: skillsItem.height()});
				new Chart(canvas.get(0).getContext("2d")).Doughnut(pieData, options);
			}
		}
	});
}

// Skills counter animation
function themerex_animate_skills_counter(start, stop, speed, step, ed, total) {
	start = Math.min(stop, start + step);
	total.text(start+ed);
	if (start < stop) {
		setTimeout(function () {
			themerex_animate_skills_counter(start, stop, speed, step, ed, total);
		}, speed);
	}
}

// Skills arc init
function themerex_init_skills_arc(container) {
	if (arguments.length==0) var container = jQuery('body');
	container.find('.sc_skills_arc:not(.inited)').each(function () {
		var arc = jQuery(this);
		arc.addClass('inited');
		var items = arc.find('.sc_skills_data .arc');
		var canvas = arc.find('.sc_skills_arc_canvas').eq(0);
		var legend = arc.find('.sc_skills_legend').eq(0);
		var w = Math.round(arc.width() - legend.width());
		var c = Math.floor(w/2);
		var o = {
			random: function(l, u){
				return Math.floor((Math.random()*(u-l+1))+l);
			},
			diagram: function(){
				var r = Raphael(canvas.attr('id'), w, w),
					rad = hover = Math.round(w/2/items.length),
					step = Math.round(((w-20)/2-rad)/items.length),
					stroke = Math.round(w/9/items.length),
					speed = 400;
				
				
				r.circle(c, c, Math.round(w/2)).attr({ stroke: 'none', fill: THEMEREX_GLOBALS['theme_skin_bg'] ? THEMEREX_GLOBALS['theme_skin_bg'] : '#ffffff' });
				
				var title = r.text(c, c, arc.data('subtitle')).attr({
					font: 'lighter '+Math.round(rad*0.7)+'px "'+THEMEREX_GLOBALS['theme_font']+'"',
					fill: '#888888'
				}).toFront();
				
				rad -= Math.round(step/2);

				r.customAttributes.arc = function(value, color, rad){
					var v = 3.6 * value,
						alpha = v == 360 ? 359.99 : v,
						rand = o.random(91, 240),
						a = (rand-alpha) * Math.PI/180,
						b = rand * Math.PI/180,
						sx = c + rad * Math.cos(b),
						sy = c - rad * Math.sin(b),
						x = c + rad * Math.cos(a),
						y = c - rad * Math.sin(a),
						path = [['M', sx, sy], ['A', rad, rad, 0, +(alpha > 180), 1, x, y]];
					return { path: path, stroke: color }
				}
				
				items.each(function(i){
					var t = jQuery(this), 
						color = t.find('.color').val(),
						value = t.find('.percent').val(),
						text = t.find('.text').text();
					
					rad += step;
					var z = r.path().attr({ arc: [value, color, rad], 'stroke-width': stroke });
					
					z.mouseover(function(){
						this.animate({ 'stroke-width': hover, opacity: .75 }, 1000, 'elastic');
						if (Raphael.type != 'VML') //solves IE problem
							this.toFront();
						title.stop().animate({ opacity: 0 }, speed, '>', function(){
							this.attr({ text: (text ? text + '\n' : '') + value + '%' }).animate({ opacity: 1 }, speed, '<');
						});
					}).mouseout(function(){
						this.stop().animate({ 'stroke-width': stroke, opacity: 1 }, speed*4, 'elastic');
						title.stop().animate({ opacity: 0 }, speed, '>', function(){
							title.attr({ text: arc.data('subtitle') }).animate({ opacity: 1 }, speed, '<');
						});	
					});
				});
				
			}
		}
		o.diagram();
	});
}


// Countdown update
function themerex_countdown(dt) {
	var counter = jQuery(this).parent();
	for (var i=2; i<dt.length; i++) {
		var v = (dt[i]<10 ? '0' : '') + dt[i];
		counter.find('.sc_countdown_item').eq(i-2).find('.sc_countdown_digits span').addClass('hide');
		for (var ch=v.length-1; ch>=0; ch--) {
			counter.find('.sc_countdown_item').eq(i-2).find('.sc_countdown_digits span').eq(ch+(i==2 && v.length<2 ? 1 : 0)).removeClass('hide').text(v.substr(ch, 1));
		}
	}
}


//icons skills
function iconsSkillsInit(container){
	if (arguments.length==0) var container = jQuery('body');
		var scrollPosition = jQuery(window).scrollTop() + jQuery(window).height();
			
		container.find('.sc_icons_skills:not(.inited)').each(function () {
			var item = jQuery(this);
			var scrollSkills = item.offset().top + 200;

			if (scrollPosition > scrollSkills) {
				item.addClass('inited'); 
				var x = jQuery(this).find('.sc_icons_item.active').length;
				var color = jQuery(this).find('.sc_icons_item.active').data('color');
				var i = 1;
				step(jQuery(this), i , x, color);
			}
		});
}

function step(item, i , x, color){
	jQuery(item).find('.sc_icons_item.active:nth-child('+ i +')').css({'color': color});
	i++;
	if(i <= x)
	{
		setTimeout(function(){ step(item, i , x, color); }, 200);
	}
}



//chart diagram init
function chart_diagram_init(container) {
	if (arguments.length==0) var container = jQuery('body');
	var scrollPosition = jQuery(window).scrollTop() + jQuery(window).height();

	container.find('.sc_chart_diagram:not(.inited)').each(function () {
		var chart = jQuery(this);
		var scrollSkills = chart.offset().top + 300;
		if (scrollPosition > scrollSkills) {
			chart.addClass('inited');
			var chart_flag = false;
		    var chart_invise = false;
		    var init_attempts = 0;
		    var inner_cutout = 87;

		    function chart_anim(id, doughnutData) {

		        var id = id;
		        var doughnutData = doughnutData;
		        var oft = jQuery('#' + id).offset().top;
		        var scrt = jQuery(window).scrollTop();
		        var hgt = jQuery(window).height();
		        if (chart_flag === false) {

		            var options = {
		                segmentShowStroke: 0,
		                percentageInnerCutout: inner_cutout,
		                segmentShowStroke: false
		            };
		            var myDoughnut = new Chart(document.getElementById('canvas_' + id).getContext("2d")).Doughnut(doughnutData, options);
		            chart_flag = true;

		        }
		        chart_flag = false;
		    }


		    var marg = jQuery(chart).find('canvas:first-child').width() * 0.1171875 / (-2);
		    var i = marg;
		    var S = 0;


		        var sl_width = jQuery(chart).find('canvas').css('width');

		        if (jQuery(chart).attr('data-cutout') != '' && jQuery(chart).attr('data-cutout')) {
		            inner_cutout = jQuery(chart).attr('data-cutout');
		        }

		        var Count = -1;
		        jQuery(chart).find('.sc_chart_item').each(function () {
		            var dt_percent = jQuery(this).find('canvas').attr('data-percent');
		            var dt_color = jQuery(this).find('canvas').attr('data-color');
					var dt_color_1 = jQuery(this).find('canvas').attr('data-darkcolor');

		            var WH = 100 - dt_percent;
		            var SA = 100 - WH;
		            var FR = 0;
		            var SC = 0;

		            if (dt_percent <= 12) {
		                FR = SA;
		                SA = 0;
		            }
		            if (dt_percent > 12) {
		                FR = 12;
		                SA = SA - 12;
		            }
		            if (dt_percent > 62) {
		                SC = SA - 50;
		                SA = 50;
		            }

		            var doughnutData = [{
		                value: FR, //12
		                color: dt_color_1
		            }, {
		                value: SA,//63
		                color: dt_color
		            }, {
		                value: SC,
		                color: dt_color_1
		            }, {
		                value: WH,
		                color: "transparent"
		            }];
		            Count++;
		            i = i - marg;
		            inner_cutout = inner_cutout - Count;

		            var id = jQuery(this).attr('id');
		            chart_anim(id, doughnutData);/*
		            jQuery(this).css({
		                'margin-top': i,
		                'margin-left': i
		            });*/

		        });

		    setTimeout(function () {
		        jQuery(chart).find('.sc_chart_item_value').css('opacity', 1);
		    }, 1500);

		}

	});
}


//rocks skills init
function rocks_skills_init(container) {
	if (arguments.length==0) var container = jQuery('body');
	var scrollPosition = jQuery(window).scrollTop() + jQuery(window).height();


	container.find('.sc_rocks_skills:not(.inited)').each(function () {
		var chart = jQuery(this);
		var scrollSkills = chart.offset().top + 500;

		if (scrollPosition > scrollSkills) {
			chart.addClass('inited');
			var item = jQuery(this);
			var width = jQuery(this).width();
			var count =  jQuery(item).find('.sc_rocks_row').length;
			var shadow = width/count;
			var maxHeight = jQuery(item).find('.sc_rocks_row .sc_rocks_progress').css('height');

			jQuery(item).find('.sc_rocks_row').each(function () {
			    var percent = jQuery(this).find('.sc_rocks_progress').attr('data-process');
			    percent = percent.replace('%', '');
			    maxHeight = maxHeight.replace('px', '');
			    var x = maxHeight * percent / 100;
			           
			    jQuery(this).find('.sc_rocks_progress').css({
			        'height': x
			    });
			     jQuery(this).find('.sc_rocks_progressbar .sc_rocks_shadow').animate({
			                'border-bottom-width': '30px',
			                'border-right-width': shadow
			    }, 1000, "linear");
			     jQuery(this).find('.sc_rocks_progress .sc_rocks_before, .sc_rocks_progress .sc_rocks_after ').animate({
			                'border-bottom-width': x
			    }, 1600, "linear", function () {
			                jQuery('.sc_rocks_row').find('.sc_rocks_value, .sc_rocks_caption').css('opacity', 1);
			            });
			});
		}
	    
	});
}